/*
    This is the script used to tell GNU ld how to generate DXE3 files.
    Copyright (C) 2000 Andrew Zabolotny <bit@eltech.ru>

    Usage of this library is not restricted in any way.
    The full license text can be found in the file dxe.txt.
*/

/*
 *  Copyright (C) 2002 - Borca Daniel
 *  Email : dborca@yahoo.com
 *  Web   : http://www.geocities.com/dborca
 */


OUTPUT_FORMAT("coff-go32")

FORCE_COMMON_ALLOCATION

SECTIONS {
  .text : {
    *(.text)
    *(.text.*)
    *(.gnu.linkonce.t*)
    *(.const*)
    *(.ro*)
    *(.gnu.linkonce.r*)
    _djgpp_first_ctor = . ;
    *(SORT(.ctors.*))
    *(.ctor)
    *(.ctors)
    _djgpp_last_ctor = . ;
    _djgpp_first_dtor = . ;
    *(SORT(.dtors.*))
    *(.dtor)
    *(.dtors)
    _djgpp_last_dtor = . ;
    *(.data)
    *(.data.*)
    *(.gcc_exc*)
    *(.eh_fram*)
    LONG(0);
    *(.gnu.linkonce.d*)
    *(.bss)
    *(COMMON)
  }
}
