import sys
sys.path = ['.'] + sys.path

from test_support import verify, verbose, TestFailed
import re
import sys, os, traceback

# Misc tests from Tim Peters' re.doc

if verbose:
    print 'Running tests on re.search and re.match'

try:
    verify(re.search('x*', 'axx').span(0) == (0, 0))
    verify(re.search('x*', 'axx').span() == (0, 0))
    verify(re.search('x+', 'axx').span(0) == (1, 3))
    verify(re.search('x+', 'axx').span() == (1, 3))
    verify(re.search('x', 'aaa') is None)
except:
    raise TestFailed, "re.search"
